import pandas as pd
import numpy as np
import scipy.stats as ss

fin_nm = input('Input Data File(*.csv) = ')
data = pd.read_csv(fin_nm)
data = data.values[:,1:]
print(data)
#
#     Conover(1999), pp.188-189.
#
r = np.sum(data, axis=1)[0]
c = np.sum(data, axis=0)[0]
N = np.sum(data)
t_obs = data[0,0]

Ps = []        #   List of probability masses
for x in range(np.min([r,c])+1):
    Ps.append(ss.hypergeom.pmf(x, N, r, c))
    
cumPs = np.cumsum(Ps)    #   Cumulative probabilities

Lower_tailed = cumPs[t_obs]
Upper_tailed = 1.0 - cumPs[t_obs-1] if t_obs > 0 else 1.0
Two_tailed = 2 * np.min([Lower_tailed, Upper_tailed])
print('Lower_tailed =', Lower_tailed)
print('Upper_tailed =', Upper_tailed)
print('Two_tailed =', Two_tailed)

